CREATE  PROCEDURE [dbo].[sp_getReport_ByUtenteAndTipoReport]
@tpReport as int,
@utente as varchar(13) = null
AS
BEGIN
if @utente is not null
	SELECT     Report.IdReport, Report.Nome, Report.IdReportModello, Report.Descrizione, Report.DtCreazione, Report.DtCancellazione, Report.FlgModello, 
						  Report.TpReport, Report.Utente, TipologiaReport.DescrizioneBreve, TipologiaReport.Descrizione AS DescrizioneModello
	FROM         Report INNER JOIN
						  TipologiaReport ON Report.TpReport = TipologiaReport.TpReport
	WHERE (Report.TpReport = @tpReport) 
           AND (Report.Utente = @utente) 
           AND Report.Nome not like '%LAST USED CONFIG%' AND Report.FlgModello != 1 --  1 implica "template modello"
           order by Nome
 else  --ma non viene usata...
	SELECT     Report.IdReport, Report.Nome, Report.IdReportModello, Report.Descrizione, Report.DtCreazione, Report.DtCancellazione, Report.FlgModello, 
						  Report.TpReport, Report.Utente, TipologiaReport.DescrizioneBreve, TipologiaReport.Descrizione AS DescrizioneModello
	FROM         Report INNER JOIN
						  TipologiaReport ON Report.TpReport = TipologiaReport.TpReport
	WHERE  Report.TpReport = @tpReport
           AND Report.Nome not like '%LAST USED CONFIG%' AND Report.FlgModello != 1 
           order by Nome
END